org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class ElementMapTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ElementMapTest

- Direct Known Subclasses:
    ElementMapTest.Traversals

      public abstract class ElementMapTest
      extends AbstractGremlinProcessTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ElementMapTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementMapTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_EX11X_elementMap()`
    `void` | `g_V_elementMap()`
    `void` | `g_V_elementMapXname_ageX()`
    `abstract Traversal<Edge,Map<Object,Object>>` | `get_g_EX11X_elementMap(Object e11Id)`
    `abstract Traversal<Vertex,Map<Object,Object>>` | `get_g_V_elementMap()`
    `abstract Traversal<Vertex,Map<Object,Object>>` | `get_g_V_elementMapXname_ageX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementMapTest

          public ElementMapTest()

  - ### Method Detail

    - #### get_g_V_elementMap

          public abstract Traversal<Vertex,Map<Object,Object>> get_g_V_elementMap()

    - #### get_g_V_elementMapXname_ageX

          public abstract Traversal<Vertex,Map<Object,Object>> get_g_V_elementMapXname_ageX()

    - #### get_g_EX11X_elementMap

          public abstract Traversal<Edge,Map<Object,Object>> get_g_EX11X_elementMap(Object e11Id)

    - #### g_V_elementMap

          public void g_V_elementMap()

    - #### g_V_elementMapXname_ageX

          public void g_V_elementMapXname_ageX()

    - #### g_EX11X_elementMap

          public void g_EX11X_elementMap()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.